<?php

namespace Drupal\shy_one_time\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

class RouteSubscriber extends RouteSubscriberBase {

  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('user.reset')) {
      if (\Drupal::moduleHandler()->moduleExists('passwordless')) {
        $route->setDefaults([
          '_controller' => '\Drupal\shy_one_time\Controller\ShyPasswordlessUserController::resetPass',
          '_title' => 'Log-in',
        ]);
      }
      else {
        $route->setDefault('_controller', '\Drupal\shy_one_time\Controller\ShyUserController::resetPass');
      }
    }
  }

}
